#!/usr/bin/python
################################################
#
#   by Joh Schoeneberg
#   www.schoeneberglab.org
#   Oct 2014
#
################################################
# Usage
#
# >python pdbTraj2pdbFrames.py input.pdb
#
# argv[1]: input pdb trajectory file
#
# the script uses the input filename as prefix 
# for the individual frame filenames
#
################################################

import sys

infilename = sys.argv[1]
outfilenameRaw = sys.argv[2]

print "outfilenameRaw " + outfilenameRaw

inf =  open(infilename)
nFramesCounter = 0


outfilenameRawParts = outfilenameRaw.split('.');
print "outfilename " + outfilenameRawParts[-2]

outfilename = outfilenameRawParts[-2]+"_frame"+'%0.10d' % nFramesCounter+"."+outfilenameRawParts[-1];
print(outfilename);
outf = open(outfilename,"w+") 



for line in inf:
    if line.split()[0] != "ENDMDL" and line.split()[0] != "END" and line.split()[0]:
        outf.writelines(line);
    else:
        outf.writelines(line);
        outf.close()
        nFramesCounter += 1
        # produce new outfilename for the next frame
        outfilename = outfilenameRawParts[-2]+"_frame"+'%0.10d' % nFramesCounter+"."+outfilenameRawParts[-1];
        print(outfilename);
        # open the file for writing in the next frame
        outf = open(outfilename,"w+") 

outf.close()
inf.close()